Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1349989 - Services: Setting a Retirement Dates/ Retiring for a service shows error in log
Summary: Services: Setting a Retirement Dates/ Retiring for a service shows error in log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.6.1
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: service:catalog
: 1361690 (view as bug list)
Depends On: 1344678
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-24 18:27 UTC by John Prause
Modified: 2016-08-19 19:28 UTC (History)
7 users (show)

Fixed In Version: 5.6.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1344678
Environment:
Last Closed: 2016-08-18 17:52:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1634 normal SHIPPED_LIVE Important: CFME 5.6.1 security, bug fix, and enhancement update 2016-08-18 21:43:52 UTC

Comment 1 CFME Bot 2016-07-11 20:07:13 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/729ea14edcb9dd56432754a849ab5eee39d0642d

commit 729ea14edcb9dd56432754a849ab5eee39d0642d
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Jul 6 16:38:20 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jul 8 08:52:07 2016 -0400

    Use SupportsFeatureMixin to interrogate a vm/template
    
    Adjusted a spec test, to make sure vm in the test is not orphaned/archived
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1344678
    https://bugzilla.redhat.com/show_bug.cgi?id=1349989

 app/controllers/application_controller/ci_processing.rb |  7 ++++---
 app/models/miq_template.rb                              |  4 ----
 app/models/vm.rb                                        |  4 ----
 app/models/vm/operations.rb                             |  2 ++
 app/models/vm/operations/lifecycle.rb                   | 10 ++++++++++
 app/models/vm_or_template.rb                            |  7 +++----
 spec/controllers/ems_common_controller_spec.rb          |  5 ++++-
 7 files changed, 23 insertions(+), 16 deletions(-)

Comment 2 CFME Bot 2016-07-11 20:07:22 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f4cb6ebb6aead57a323b00bd3155cf57aeb9114a

commit f4cb6ebb6aead57a323b00bd3155cf57aeb9114a
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Jun 17 09:40:14 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jul 8 08:52:07 2016 -0400

    Check if record supports retirement task only for VM or Template records
    
    Made changes to code to not check for retirement task eligibility for Service & Orchestration template records. This check should only be for VmOrTemplate records. Added model methods to check if record type supports retirement. Having service record with a same id as a MiqTemple record in database was causing an issue while trying to retire the service and incorrectly going thru the code path trying to render a flash message that "Retire does not apply to selected xxxx"
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1344678
    https://bugzilla.redhat.com/show_bug.cgi?id=1349989

 .../application_controller/ci_processing.rb        |  7 +--
 app/models/miq_template.rb                         |  4 ++
 app/models/vm.rb                                   |  4 ++
 app/models/vm_or_template.rb                       |  4 ++
 .../application_controller/ci_processing_spec.rb   | 56 ++++++++++++++++++++++
 5 files changed, 72 insertions(+), 3 deletions(-)

Comment 3 CFME Bot 2016-07-11 20:07:31 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/2cd9acb50750c28f6fe5328f1be4fae1e4bfd14c

commit 2cd9acb50750c28f6fe5328f1be4fae1e4bfd14c
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jul 7 10:16:23 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Jul 8 08:55:52 2016 -0400

    Addressed rubocop comments
    
    Removed an extra - include SupportsFeatureMixin
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1344678
    https://bugzilla.redhat.com/show_bug.cgi?id=1349989

 app/controllers/application_controller/ci_processing.rb       |  6 +++---
 app/models/vm/operations/lifecycle.rb                         |  2 +-
 app/models/vm_or_template.rb                                  |  3 +--
 spec/controllers/application_controller/ci_processing_spec.rb | 10 ++++++----
 spec/controllers/ems_common_controller_spec.rb                |  2 +-
 5 files changed, 12 insertions(+), 11 deletions(-)

Comment 4 Harpreet Kataria 2016-07-12 19:23:26 UTC
waiting for https://github.com/ManageIQ/manageiq/pull/9272 to be back-ported

Comment 6 Shveta 2016-08-01 22:12:42 UTC
No error on retiring services.
Verified in 

5.6.1.0.20160726144018_810a94f

Comment 7 Harpreet Kataria 2016-08-05 17:05:35 UTC
*** Bug 1361690 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2016-08-18 17:52:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html


Note You need to log in before you can comment on or make changes to this bug.